import React from 'react';
import { View, ActivityIndicator, StyleSheet } from 'react-native';
import colors from '../constants/colors';

export default function LoaderComponent({ color, isActivityIndicator }) {
  return isActivityIndicator ? (
    <ActivityIndicator size={100} color={color} />
  ) : (
    <View style={loaderStyles.loader}>
      <ActivityIndicator size={100} color="#FFF" />
    </View>
  );
}

const loaderStyles = StyleSheet.create({
  loader: {
    flex: 1,
    alignItems: 'center',
    backgroundColor: colors.primary,
    justifyContent: 'center',
  },
});
