/**
 * Componente de botão para Aprovar/Reprovar tutorial
 *
 * @author           Bernardo de Cesaro
 * @param text       Texto dos botões da Curadoria contendo "Aprovar" e "Repovar" em cada um dos botões
 * @example
 */

import React from 'react';
import { StyleSheet, TouchableOpacity, Text } from 'react-native';
import colors from '../constants/colors';

export default function TutorialFeedbackComponent({
  text,
  textColor = colors.primary,
  backgroundColor,
  disabled,
  action,
  margin = 20,
}) {
  return (
    <TouchableOpacity
      onPress={e => action()}
      disabled={disabled}
      style={[
        styles.button,
        {
          borderColor: textColor,
          backgroundColor: backgroundColor,
        },
        { marginVertical: margin },
      ]}
      activeOpacity={0.6}
    >
      <Text
        style={[
          styles.text,
          {
            color: textColor,
          },
        ]}
      >
        {text}
      </Text>
    </TouchableOpacity>
  );
}

const styles = StyleSheet.create({});
