/**
 * Tela de modelo com um componente de modelo
 *
 * @author            João Leão
 * @example           <ModelScreen/>
 */

import React from 'react';
import { StyleSheet, View, Text } from 'react-native';
import colors from '../constants/colors';

import HeaderComponent from '../components/HeaderComponent';
import BodyComponent from '../components/BodyComponent';
import ModelComponent from '../components/ModelComponent';

export default function ModelScreen() {
  return (
    <View style={styles.screen}>
      <HeaderComponent>
        <Text style={styles.header}>Tela de Desenvolvimento</Text>
        <Text style={styles.headerDescription}>ModelScreen.js</Text>
      </HeaderComponent>
      <BodyComponent>
        <ModelComponent text="Hello World" />
      </BodyComponent>
    </View>
  );
}
const styles = StyleSheet.create({
  screen: {
    flex: 1,
    backgroundColor: colors.primary,
  },
  header: {
    alignItems: 'center',
    justifyContent: 'center',
    color: colors.textWhite,
    fontSize: 30,
    fontWeight: 'bold',
  },
  headerDescription: {
    alignItems: 'center',
    textAlign: 'center',
    justifyContent: 'center',
    color: colors.textWhite,
    fontSize: 25,
  },
});
